## azure-vm-utils 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(azure-vm-utils VERSION 0.1.0 LANGUAGES C)

if(NOT DEFINED VERSION)
    execute_process(
        COMMAND git describe --tags --always --dirty
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

include(cmake/cppcheck.cmake)
include(cmake/clangformat.cmake)
include(cmake/doc.cmake)
include(cmake/python.cmake)

include(CTest)
enable_testing()

find_package(PkgConfig REQUIRED)
pkg_check_modules(JSON_C REQUIRED json-c)
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${JSON_C_INCLUDE_DIRS}
)

add_compile_options(-Wextra -Wall $<$<CONFIG:Debug>:-Werror> -std=gnu11 -D_GNU_SOURCE=1)
add_executable(azure-nvme-id src/debug.c src/identify_disks.c src/identify_udev.c src/main.c src/nvme.c)
target_link_libraries(azure-nvme-id ${JSON_C_LIBRARIES})

set(AZURE_NVME_ID_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/sbin" CACHE PATH "azure-nvme-id installation directory")
set(DRACUT_MODULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/dracut/modules.d/97azure-disk" CACHE PATH "dracut modules installation directory")
set(INITRAMFS_HOOKS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/initramfs-tools/hooks" CACHE PATH "initramfs-tools hooks installation directory")
set(UDEV_RULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d" CACHE PATH "udev rules.d installation directory")

configure_file(
    "${CMAKE_SOURCE_DIR}/src/version.h.in"
    "${CMAKE_SOURCE_DIR}/src/version.h"
    @ONLY
)

install(TARGETS azure-nvme-id DESTINATION ${AZURE_NVME_ID_INSTALL_DIR})
install(FILES ${CMAKE_SOURCE_DIR}/selftest/selftest.py
        DESTINATION ${AZURE_NVME_ID_INSTALL_DIR}
        RENAME azure-vm-utils-selftest
        PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

# Install udev rules after updating "/usr/sbin/azure-nvme-id" with installed path $AZURE_NVME_ID_INSTALL_DIR.
file(READ ${CMAKE_SOURCE_DIR}/udev/80-azure-disk.rules CONTENT)
string(REPLACE "/usr/sbin/azure-nvme-id" "${AZURE_NVME_ID_INSTALL_DIR}/azure-nvme-id" CONTENT "${CONTENT}")
file(WRITE ${CMAKE_BINARY_DIR}/udev/80-azure-disk.rules ${CONTENT})
install(FILES ${CMAKE_BINARY_DIR}/udev/80-azure-disk.rules DESTINATION ${UDEV_RULES_INSTALL_DIR})

find_program(INITRAMFS_TOOLS update-initramfs)
find_program(DRACUT dracut)
if(INITRAMFS_TOOLS AND INITRAMFS_HOOKS_INSTALL_DIR)
    message(STATUS "initramfs-tools found, installing initramfs hook")
    set(HOOK_SCRIPT ${CMAKE_SOURCE_DIR}/initramfs/initramfs-tools/hooks/azure-disk)
    install(FILES ${HOOK_SCRIPT}
        DESTINATION ${INITRAMFS_HOOKS_INSTALL_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)
elseif(DRACUT AND DRACUT_MODULES_INSTALL_DIR)
    message(STATUS "dracut found, installing dracut module")
    install(FILES ${CMAKE_SOURCE_DIR}/initramfs/dracut/modules.d/97azure-disk/module-setup.sh
        DESTINATION ${DRACUT_MODULES_INSTALL_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)
else()
    message(STATUS "initramfs-tools and dracut not found, skipping installation of azure-disk hook")
endif()

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)

option(ENABLE_TESTS "Enable unit tests" ON)
if(ENABLE_TESTS)
    include(cmake/tests.cmake)
endif()

## azure-vm-utils 0.4.0

=== debian/changelog ===
azure-vm-utils (0.4.0-2) unstable; urgency=medium

  [ Chris Patterson ]
  * Fix for reproducible manpage.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 14 Oct 2024 09:25:39 -0400

azure-vm-utils (0.4.0-1) unstable; urgency=medium

  * Rename to azure-vm-utils to match renamed upstream project
  * New upstream version 0.4.0

 -- Noah Meyerhans <noahm@debian.org>  Wed, 09 Oct 2024 09:13:04 -0400

azure-nvme-utils (0.2.0-2) unstable; urgency=medium

  * Bump package version for source-only upload

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 Jul 2024 14:49:25 -0700

azure-nvme-utils (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072523)

 -- Chris Patterson <cpatterson@microsoft.com>  Tue, 11 Jun 2024 15:18:12 +0000

=== debian/control ===
Source: azure-vm-utils
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Noah Meyerhans <noahm@debian.org>,
 Chris Patterson <cpatterson@microsoft.com>
Build-Depends: cmake, debhelper-compat (= 13), pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/Azure/azure-vm-utils
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/cloud-team/azure-vm-utils
Vcs-Git: https://salsa.debian.org/cloud-team/azure-vm-utils.git

Package: azure-vm-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core utilities and configuration for Linux VMs on Azure
 This package provides a home for core utilities, udev rules and other
 configuration to support Linux VMs on Azure.
Replaces: azure-nvme-utils (<< 0.3.0-1~)
Conflicts: azure-nvme-utils (<< 0.3.0-1~)
Provides: azure-nvme-utils

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

version=$(shell dpkg-parsechangelog --show-field version)

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(version)

%:
	dh $@

## azure-vm-utils 0.5.1

=== debian/changelog ===
azure-vm-utils (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Chris Patterson <cpatterson@microsoft.com>  Fri, 28 Feb 2025 18:26:08 +0000

azure-vm-utils (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Chris Patterson <cpatterson@microsoft.com>  Thu, 20 Feb 2025 20:26:59 +0000

=== debian/tests/control ===
Test-Command: python3 ./selftest/selftest.py --skip-imds-validation --skip-symlink-validation
Depends: azure-vm-utils, python3
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
https://github.com/Azure/azure-vm-utils/tags .*/v?(\d.*)@ARCHIVE_EXT@

## azure-vm-utils 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(azure-vm-utils VERSION 0.1.0 LANGUAGES C)

if(NOT DEFINED VERSION)
    execute_process(
        COMMAND git describe --tags --always --dirty
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

set(AZURE_NVME_ID_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/sbin" CACHE PATH "azure-nvme-id installation directory")
set(DRACUT_MODULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/dracut/modules.d" CACHE PATH "dracut modules installation directory")
set(INITRAMFS_HOOKS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/initramfs-tools/hooks" CACHE PATH "initramfs-tools hooks installation directory")
set(NETWORKD_CONFIGS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/network" CACHE PATH "networkd configs installation directory")
set(UDEV_RULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d" CACHE PATH "udev rules installation directory")

include(cmake/cppcheck.cmake)
include(cmake/clangformat.cmake)
include(cmake/doc.cmake)
include(cmake/initramfs.cmake)
include(cmake/networkd.cmake)
include(cmake/python.cmake)
include(cmake/udev.cmake)

include(CTest)
enable_testing()

find_package(PkgConfig REQUIRED)
pkg_check_modules(JSON_C REQUIRED json-c)
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${JSON_C_INCLUDE_DIRS}
)

add_compile_options(-Wextra -Wall $<$<CONFIG:Debug>:-Werror> -std=gnu11 -D_GNU_SOURCE=1)
add_executable(azure-nvme-id src/debug.c src/identify_disks.c src/identify_udev.c src/main.c src/nvme.c)
target_link_libraries(azure-nvme-id ${JSON_C_LIBRARIES})

configure_file(
    "${CMAKE_SOURCE_DIR}/src/version.h.in"
    "${CMAKE_SOURCE_DIR}/src/version.h"
    @ONLY
)

install(TARGETS azure-nvme-id DESTINATION ${AZURE_NVME_ID_INSTALL_DIR})
install(FILES ${CMAKE_SOURCE_DIR}/selftest/selftest.py
        DESTINATION ${AZURE_NVME_ID_INSTALL_DIR}
        RENAME azure-vm-utils-selftest
        PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)

option(ENABLE_TESTS "Enable unit tests" ON)
if(ENABLE_TESTS)
    include(cmake/tests.cmake)
endif()

=== debian/changelog ===
azure-vm-utils (0.6.0-4~ubuntu0.25.04.1) plucky; urgency=medium

  * Merge latest upstream release 0.6.0 (LP: #2116077):
    - Full release notes are available at:
      https://github.com/Azure/azure-vm-utils/releases/tag/v0.6.0

  * Included changes from Debian unstable:
    - d/tests/control: Skip network on tests
    - d/rules: Fix missing dh_install
    - d/install: Add missing azure-unmanaged-sriov hook install

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 07 Jul 2025 12:49:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DVERSION=$(version)
 
+override_dh_install:
+	dh_auto_install
+	dh_install
+	rm debian/azure-vm-utils/usr/sbin/azure-vm-utils-selftest
+	rm debian/azure-vm-utils/usr/share/man/man8/azure-vm-utils-selftest.8
+
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: python3 ./selftest/selftest.py --skip-imds-validation --skip-symlink-validation --skip-network-validation
Depends: azure-vm-utils, python3
Restrictions: allow-stderr, needs-root
